.lm
.ifnot hlp
.PS.HL 1 LISTS
The following commands format lists of items.
.endif HLP
.helpc LIST
.LM +5
.q   _.LIST [n] ["char"] 
.qq  _.LS [n] ["char"]
.s.x LIST 
specifies the beginning of a list of items.
The left margin is moved 9 spaces to the right
for the first _.LIST command, and 4 additional spaces for 
each subsequent nested LIST. n specifies the number of blank lines to appear
before each item.
The _.LIST ELEMENT command is used to specify each item in the list, and
the _.END LIST command is used to end the list.
.ifnot small
.if hlp
.if rsx.br;ADDITIONAL HELP AVAILABLE: margins ELEMENT END nesting example
.endif rsx
.endif hlp
.HELPD MARGINS
.p
If the _.SPACING setting is greater than 1, the actual number of blank lines
is n times the spacing. If n is omitted, the current paragraph spacing is
used.  If the optional character "char" is specified, then the character is
output rather than a number.  Thus, a "bullet" can be produced by
specifying "o" as the optional character. 
If you wish to indent by a different amount than the default, the margins
can be changed by using _.LEFT MARGIN or _.RIGHT MARGIN after _.LIST.
See also _.NUMBER LIST and _.DISPLAY ELEMENTS.
.endif small
.i5;DEFAULT: _.LIST paragraph-spacing
.ifnot small
.helpd ELEMENT
.endif small
.q   _.LIST ELEMENT [;]text
.qq  _.LE [;]text
.s.X LIST ELEMENT 
specifies the start of each item in the list.
If the text of the item appears on the same line as
the command, the text must be separated from the command with any number of
intervening spaces or tabs, or (optionally) one semicolon. 
.ifnot small
Each list element entry produces a number followed by a decimal point "."
and two spaces followed by the text.  If you prefer letters, roman numerals
or some character other than the decimal point, see the _.DISPLAY ELEMENTS
command. The text lines up with the left margin, and the item numbers are
placed 4 spaces to the left of the left margin. If there are not 4 spaces
between the current margin and the permanent margin, then the number will be
lined up with the permanent margin. A _.TEST TEXT t,b is performed for each
list element using the value set in
the last _.PARAGRAPH or _.SET PARAGRAPH command. Both widow and orphan lines
are prevented by the paragraph test values. 
.p
The _.LIST ELEMENT command can be issued without a preceding _.LIST command,
in which case the element might be considered to be the 0'th or base list.
.i5;(the [;] is required in DSR)
.helpd END
.endif small
.q _.END LIST n 
.qq   _.ELS n 
.s.x END>LIST 
terminates a list and restores the margins to their
previous settings
before the last _.LIST command. The optional value n causes a _.SKIP n
after the last item in the list.
.i5;DEFAULT: END LIST paragraph-spacing
.ifnot small
.HELPD NESTING
.s.c;NESTING
.s
Lists can be nested up to $LISTMAX$ deep.  That is, up to $LISTMAX$
_.LIST commands can be used without any intervening _.END#LIST commands.  This
number can be modified by the system manager when RUNOFF is built. 
.eb
.helpd EXAMPLE
.s.c;EXAMPLE
.s.lm
Suppose you wish to make a list of the colors of the rainbow.
You could do this by issuing the following commands.
.lm10;.no fill
_.list 0
_.le RED
_.le ORANGE
_.le YELLOW
_.le GREEN
_.le BLUE
_.le VIOLET
_.end list
.fill.lm;The result would be the following:
.lm+10.list 0
.le RED
.le ORANGE
.le YELLOW
.le GREEN
.le BLUE
.le VIOLET
.end list.s.lm
It is possible to precede the list with letters as A,B,C ... and so on, or
by Roman numerals.  To do this, see the _.DISPLAY LIST command.
.endif small
